> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ERC721 Token Transfers Advanced Filter

> Retrieves ERC721 token transfers with advanced from and to address filtering.

<Badge icon="flask" color="yellow">Beta</Badge>

Explore and preview data from our [Advanced Filter](https://etherscan.io/advanced-filter) page.

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "4708120",
        "timeStamp": "1512907118",
        "hash": "0x031e6968a8de362e4328d60dcc7f72f0d6fc84284c452f63176632177146de66",
        "nonce": "0",
        "blockHash": "0x4be19c278bfaead5cb0bc9476fa632e2447f6e6259e0303af210302d22779a24",
        "from": "0xb1690c08e213a35ed9bab7b318de14420fb57d8c",
        "contractAddress": "0x06012c8cf97bead5deae237070f9587f8e7a266d",
        "to": "0x6975be450864c02b4613023c2152ee0743572325",
        "tokenID": "202106",
        "tokenName": "CryptoKitties",
        "tokenSymbol": "CK",
        "tokenDecimal": "0",
        "transactionIndex": "81",
        "gas": "158820",
        "gasPrice": "40000000000",
        "gasUsed": "60508",
        "cumulativeGasUsed": "4880352",
        "input": "deprecated",
        "methodId": "0x454a2ab3",
        "functionName": "bid(uint256 _tokenId)",
        "confirmations": "18759540"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/advanced-filter-tokennfttx.json GET /v2/api
openapi: 3.1.0
info:
  title: ERC721 Token Transfers Advanced Filter
  version: 2.0.0
  description: >-
    Retrieves ERC721 token transfers with advanced from and to address
    filtering.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: ERC721 Token Transfers Advanced Filter
      description: >-
        Retrieves ERC721 token transfers with advanced from and to address
        filtering.
      operationId: getAdvancedFilterTokennfttx
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, such as 1 for Ethereum or 42161 for Arbitrum from
            our [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint.
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to tokennfttx for this endpoint.
          schema:
            type: string
            default: tokennfttx
          example: tokennfttx
        - name: contractaddress
          in: query
          required: false
          description: >-
            The ERC721 token contract address to filter transfers by. Provide
            contractaddress, from, or to.
          schema:
            type: string
          example: '0x06012c8cf97bead5deae237070f9587f8e7a266d'
        - name: from
          in: query
          required: false
          description: >-
            The sender address to filter transfers by. Provide from, to, or
            contractaddress.
          schema:
            type: string
          example: '0x73605779985A11B8Fe32E6eD5ae5F249FFD0D7f0'
        - name: to
          in: query
          required: false
          description: >-
            The recipient address to filter transfers by. Provide to, from, or
            contractaddress.
          schema:
            type: string
          example: '0x71c7656ec7ab88b098defb751b7401b5f6d8976f'
        - name: fromto_opr
          in: query
          required: false
          description: >-
            Required when from or to is provided. Use and when both addresses
            must match, or or when either address can match.
          schema:
            type: string
          example: or
        - name: startblock
          in: query
          required: false
          description: Starting block number to search from.
          schema:
            type: integer
          example: 0
        - name: endblock
          in: query
          required: false
          description: Ending block number to search to, or latest for the latest block.
          schema:
            type: string
          example: latest
        - name: sort
          in: query
          required: false
          description: >-
            Sort order, either `desc` for the latest transactions first or `asc`
            for the oldest transactions first.
          schema:
            type: string
          example: desc
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 10
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        blockNumber:
                          type: string
                          description: Block number in which the transaction was included.
                        timeStamp:
                          type: string
                          description: >-
                            Time the block was mined, as a UNIX timestamp in
                            seconds.
                        hash:
                          type: string
                          description: The transaction hash.
                        nonce:
                          type: string
                          description: >-
                            Number of transactions sent from the sending address
                            before this one.
                        blockHash:
                          type: string
                          description: Hash of the block containing the transaction.
                        from:
                          type: string
                          description: Address that sent the transaction.
                        contractAddress:
                          type: string
                          description: Contract address of the token being transferred.
                        to:
                          type: string
                          description: >-
                            Recipient address. Empty for contract-creation
                            transactions.
                        tokenID:
                          type: string
                          description: Identifier of the specific NFT transferred.
                        tokenName:
                          type: string
                          description: Name of the token.
                        tokenSymbol:
                          type: string
                          description: Symbol of the token.
                        tokenDecimal:
                          type: string
                          description: Number of decimals the token uses.
                        transactionIndex:
                          type: string
                          description: Index position of the transaction within the block.
                        gas:
                          type: string
                          description: >-
                            Maximum units of gas the sender allowed for the
                            transaction.
                        gasPrice:
                          type: string
                          description: Price paid per unit of gas, in wei.
                        gasUsed:
                          type: string
                          description: Units of gas actually consumed by the transaction.
                        cumulativeGasUsed:
                          type: string
                          description: >-
                            Total gas used by all transactions up to and
                            including this one in the block.
                        input:
                          type: string
                          description: >-
                            Input data sent with the transaction, as a hex
                            string.
                        methodId:
                          type: string
                          description: >-
                            First four bytes of the input data, identifying the
                            called function.
                        functionName:
                          type: string
                          description: >-
                            Decoded function signature, when the target contract
                            is verified.
                        confirmations:
                          type: string
                          description: >-
                            Number of blocks mined after the block containing
                            this transaction.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````